## ros-noetic-mrpt2 2.10.0

=== python/CMakeLists.txt ===
project(pymrpt)

# BINDER
# Wrapper generated with binder git commit 95938b8a6d7afd564ee5f0d3430964bd8ea3df1a
#

#find_package(PythonInterp)

# Note: relative paths are relative to ${CMAKE_INSTALL_PREFIX} (defaults to /usr/local on Ubuntu)
#
# According to debian policy https://debian-python.readthedocs.io/en/latest/debian-policy.html#module-path
# this should be: /usr/lib/python3/dist-packages
#
#set(PYMRPT_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/python3/dist-packages/")
#install(TARGETS pymrpt LIBRARY DESTINATION ${PYMRPT_INSTALL_DIR})

if (NOT CMAKE_MRPT_HAS_PYTHON_BINDINGS)
  return()
endif()

set(PY_SRCS_DIR ${CMAKE_CURRENT_LIST_DIR}/src)

# these "all" files can be generated like:
#  ls -1 src/nanogui/*.cpp | xargs -I FIL echo "#include \"FIL\"" > all_nanogui.cpp

#file(GLOB_RECURSE PY_ALL_SRCS ${PY_SRCS_DIR}/all_*.cpp)
file(GLOB_RECURSE PY_ALL_SRCS all_*.cpp)

pybind11_add_module(pymrpt
  ${PY_SRCS_DIR}/pymrpt.cpp
  ${PY_ALL_SRCS}
  # -- manually crafted files --
  pymrpt_internals.cpp
  )

target_link_libraries(pymrpt PUBLIC 
  mrpt::apps
  mrpt::serialization
  mrpt::slam
  mrpt::gui
  mrpt::nav
)

target_include_directories(pymrpt PRIVATE ".")

#target_compile_definitions(pymrpt PRIVATE 
#  PYBIND11_MAJOR_VERSION=${PYBIND11_MAJOR_VERSION}
#  PYBIND11_MINOR_VERSION=${PYBIND11_MINOR_VERSION}
#  PYBIND11_PATCH_VERSION=${PYBIND11_PATCH_VERSION}
#  )

# Fix for pybind 2.4.x:
# override_caster_t  was overload_caster_t
if ("${PYBIND11_MAJOR_VERSION}.${PYBIND11_MINOR_VERSION}" VERSION_LESS "2.9")
  target_compile_definitions(pymrpt PRIVATE override_caster_t=overload_caster_t)
endif()

target_compile_definitions(pymrpt PRIVATE MRPT_BUILDING_PYTHON_WRAPPER)

# Python files:
file(MAKE_DIRECTORY ${MRPT_PYTHON_BUILD_DIRECTORY}/mrpt/)
add_custom_command(TARGET pymrpt POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:pymrpt>
  ${MRPT_PYTHON_BUILD_DIRECTORY}/mrpt/
)
file(WRITE ${MRPT_PYTHON_BUILD_DIRECTORY}/mrpt/__init__.py
  "from . import *")

# Required if we provide the stub files: ( https://peps.python.org/pep-0561/ )
file(WRITE ${MRPT_PYTHON_BUILD_DIRECTORY}/mrpt/py.typed "")

# install stub files too:
file(COPY
  ${CMAKE_CURRENT_LIST_DIR}/stubs-out/
  DESTINATION ${MRPT_PYTHON_BUILD_DIRECTORY}/
)

# copy ROS stuff
file(COPY
  ${CMAKE_CURRENT_LIST_DIR}/ros_bridge.py
  DESTINATION ${MRPT_PYTHON_BUILD_DIRECTORY}/mrpt/
)

# Generate setup.py
configure_file(${MRPT_SOURCE_DIR}/parse-files/setup.py.in
  ${MRPT_PYTHON_BUILD_DIRECTORY}/setup.py)

if (NOT DEFINED PYTHON_INSTALL_DIRECTORY)
  set(PYTHON_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX} CACHE PATH "Install prefix for python modules with 'make python-install'")
endif()

mrpt_ament_cmake_python_get_python_install_dir() # Gets PYTHON_INSTALL_DIR

# We need to do the install via a script run during "make install" so we can 
# catch the variable DESTDIR, used in debian builds:
configure_file(
  ${MRPT_SOURCE_DIR}/parse-files/install-python.cmake.in
  ${MRPT_BINARY_DIR}/install-python.cmake
  @ONLY
)

add_custom_target(python-install
    COMMAND ${CMAKE_COMMAND} -P ${MRPT_BINARY_DIR}/install-python.cmake
    COMMENT "Running 'python-install'...")

add_dependencies(python-install pymrpt)

install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} --build \"${MRPT_BINARY_DIR}\" --target python-install)")

# -------------------------------------
# Special handle for ROS builds
# -------------------------------------
# See: https://github.com/ros-infrastructure/rosdep/issues/724#issuecomment-643015997

=== 3rdparty/nanoflann/CMakeLists.txt ===
# ----------------------------------------------------------------------------
# Root CMake file for nanoflann
# ----------------------------------------------------------------------------
cmake_minimum_required(VERSION 3.1)

# Extract library version into "NANOFLANN_VERSION"
# -----------------------------------------------------
# Look for: "#define NANOFLANN_VERSION 0xABC"
file(READ "${CMAKE_CURRENT_SOURCE_DIR}/include/nanoflann.hpp" STR_HPP)
string(REGEX MATCHALL "NANOFLANN_VERSION.*0x[0-9,A-F]+" CMAKE_VERSION_LINE "${STR_HPP}")
string(REGEX MATCHALL "0x[0-9,A-F]+" NANOFLANN_VERSION_HEX "${CMAKE_VERSION_LINE}")

string(REGEX REPLACE "0x(.).*" "\\1" NANOFLANN_VERSION_MAJOR "${NANOFLANN_VERSION_HEX}" )
string(REGEX REPLACE "0x.(.).*" "\\1" NANOFLANN_VERSION_MINOR "${NANOFLANN_VERSION_HEX}" )
string(REGEX REPLACE "0x..(.).*" "\\1" NANOFLANN_VERSION_PATCH "${NANOFLANN_VERSION_HEX}" )
mark_as_advanced(STR_HPP CMAKE_VERSION_LINE NANOFLANN_VERSION_HEX NANOFLANN_VERSION_MAJOR NANOFLANN_VERSION_MINOR NANOFLANN_VERSION_PATCH)

project(nanoflann VERSION "${NANOFLANN_VERSION_MAJOR}.${NANOFLANN_VERSION_MINOR}.${NANOFLANN_VERSION_PATCH}")

message(STATUS "nanoflann version: ${NANOFLANN_VERSION_MAJOR}.${NANOFLANN_VERSION_MINOR}.${NANOFLANN_VERSION_PATCH}")
file(WRITE "${nanoflann_BINARY_DIR}/version" "${NANOFLANN_VERSION_MAJOR}.${NANOFLANN_VERSION_MINOR}.${NANOFLANN_VERSION_PATCH}")

# Enable a high level of warnings.
if (CMAKE_COMPILER_IS_GNUCXX)
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros -O2 -mtune=native)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

if(MSVC)
	 add_definitions( "/W3 /D_CRT_SECURE_NO_WARNINGS /nologo" )
endif()

# Solution Folder options:
if (${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
	set_property(GLOBAL PROPERTY USE_FOLDERS ON)
	set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMakeTargets")
endif()

add_definitions ( -DNANOFLANN_PATH="${CMAKE_SOURCE_DIR}" )

include(GNUInstallDirs)
if ($ENV{VERBOSE})
	message(STATUS "CMAKE_INSTALL_INCLUDEDIR: ${CMAKE_INSTALL_INCLUDEDIR}")
	message(STATUS "CMAKE_INSTALL_DATADIR   : ${CMAKE_INSTALL_DATADIR}")
	message(STATUS "CMAKE_INSTALL_LIBDIR    : ${CMAKE_INSTALL_LIBDIR}")
	message(STATUS "CMAKE_INSTALL_DOCDIR    : ${CMAKE_INSTALL_DOCDIR}")
	message(STATUS "CMAKE_INSTALL_PREFIX    : ${CMAKE_INSTALL_PREFIX}")
endif()

# Set relative install directories
set(INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_INCLUDEDIR}")
set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake/")
set(INSTALL_COPYRIGHT_DIR "${CMAKE_INSTALL_DOCDIR}")
if(NOT DEFINED PKGCONFIG_INSTALL_DIR)
  set(PKGCONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif()

# Save all executables (unit tests & examples) in the same place:
set(EXECUTABLE_OUTPUT_PATH ${${PROJECT_NAME}_BINARY_DIR}/bin CACHE PATH "Output directory for executables")

# Define nanoflann lib (header-only)
add_library(nanoflann INTERFACE)

# Tell CMake which C++ features we need
target_compile_features(nanoflann
	INTERFACE
		cxx_auto_type
		cxx_decltype
		cxx_deleted_functions
)
target_include_directories(nanoflann
	INTERFACE
		$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
		$<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}>)

install(TARGETS nanoflann
        EXPORT nanoflannTargets)

add_library(nanoflann::nanoflann ALIAS nanoflann)

# Examples
option(NANOFLANN_BUILD_EXAMPLES "Build examples" ON)
if(NANOFLANN_BUILD_EXAMPLES)
	add_subdirectory(examples)
endif()

# Tests
option(NANOFLANN_BUILD_TESTS "Build unit tests" ON)
if(NANOFLANN_BUILD_TESTS)
	enable_testing()
	add_subdirectory(tests)
endif()

# --------------------------------------------------------------------
# Install/uninstall targets
# --------------------------------------------------------------------

# Variable for pkgconfig file:
set(nanoflann_pkgconfig_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Generate the pkg-config file:
configure_file(
	"${nanoflann_SOURCE_DIR}/scripts/nanoflann.pc.in"
	"${nanoflann_BINARY_DIR}/nanoflann.pc" @ONLY IMMEDIATE )

# Generate the cmake config and cmake config-version file:
include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${nanoflann_SOURCE_DIR}/scripts/nanoflannConfig.cmake.in"
    "${nanoflann_BINARY_DIR}/nanoflannConfig.cmake"
    INSTALL_DESTINATION ${INSTALL_CMAKE_DIR}
    PATH_VARS INSTALL_INCLUDE_DIR)

# Setting CMAKE_SIZEOF_VOID_P to the empty string has the same
# effect as the ARCH_INDEPENDENT option of
# write_basic_package_version_file(), but works with older CMake
# versions before 3.14
set(backup_of_CMAKE_SIZEOF_VOID_P "${CMAKE_SIZEOF_VOID_P}")
set(CMAKE_SIZEOF_VOID_P "")

write_basic_package_version_file(
    "${nanoflann_BINARY_DIR}/nanoflannConfigVersion.cmake"
    VERSION ${nanoflann_VERSION}
    COMPATIBILITY AnyNewerVersion)

set(CMAKE_SIZEOF_VOID_P "${backup_of_CMAKE_SIZEOF_VOID_P}")

# Uninstall target, for "make uninstall"
configure_file(
  "${nanoflann_SOURCE_DIR}/scripts/cmake_uninstall.cmake.in"
  "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake"
  @ONLY IMMEDIATE)

if (NOT TARGET uninstall)
  add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake")
else()
  add_custom_target(nanoflann_uninstall
    "${CMAKE_COMMAND}" -P "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake")
  add_dependencies(uninstall nanoflann_uninstall)
endif()

export(EXPORT nanoflannTargets
       NAMESPACE nanoflann::
       FILE "${nanoflann_BINARY_DIR}/nanoflannTargets.cmake")

export(PACKAGE nanoflann)

install(EXPORT nanoflannTargets
        NAMESPACE nanoflann::
        DESTINATION "${INSTALL_CMAKE_DIR}")

install(
	FILES "${nanoflann_BINARY_DIR}/nanoflann.pc"
	DESTINATION "${PKGCONFIG_INSTALL_DIR}" )

install(
    FILES "${nanoflann_BINARY_DIR}/nanoflannConfig.cmake"
          "${nanoflann_BINARY_DIR}/nanoflannConfigVersion.cmake"
    DESTINATION "${INSTALL_CMAKE_DIR}" )

install(
	FILES "${nanoflann_SOURCE_DIR}/include/nanoflann.hpp"
	DESTINATION "${INSTALL_INCLUDE_DIR}" )

=== 3rdparty/nanoflann/examples/CMakeLists.txt ===
find_package(Eigen3 QUIET) # optional, for examples only

# examples:
macro(DefineExample _NAME)
	add_executable(${_NAME} ${_NAME}.cpp)
	set_target_properties(${_NAME} PROPERTIES FOLDER "Examples")
	target_link_libraries(${_NAME} nanoflann::nanoflann)  # adds the "#include" directory.
endmacro()

DefineExample(dynamic_pointcloud_example)
DefineExample(pointcloud_example)
DefineExample(pointcloud_kdd_radius)
DefineExample(pointcloud_adaptor_example)
DefineExample(pointcloud_custom_metric)
DefineExample(SO3_adaptor_example)
DefineExample(SO2_adaptor_example)
DefineExample(saveload_example)
DefineExample(vector_of_vectors_example)

if(EIGEN3_FOUND)
	DefineExample(matrix_example)
	target_include_directories (matrix_example PRIVATE ${EIGEN3_INCLUDE_DIR})
endif()

# optional for gui examples:
find_package(mrpt-gui QUIET)
if (mrpt-gui_FOUND)
	add_subdirectory(examples_gui/nanoflann_gui_example_R3)
	add_subdirectory(examples_gui/nanoflann_gui_example_bearings)
endif()

=== 3rdparty/libfreenect/wrappers/opencv/CMakeLists.txt ===
######################################################################################
# OpenCV Interface
######################################################################################
find_package(OpenCV REQUIRED)
add_library (freenect_cv SHARED libfreenect_cv.cpp)
set_target_properties (freenect_cv PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER})

include_directories (../c_sync)

target_link_libraries (freenect_cv freenect_sync ${OpenCV_LIBS})

install (TARGETS freenect_cv
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")
install (FILES "libfreenect_cv.h"
  DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})

add_executable(freenect-cvdemo cvdemo.cpp)
target_link_libraries(freenect-cvdemo freenect freenect_sync freenect_cv ${OpenCV_LIBS})
install (TARGETS freenect-cvdemo
  DESTINATION bin)

## ros-noetic-mrpt2 2.6.0

=== debian/changelog ===
ros-noetic-mrpt2 (2.6.0-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 12 Jan 2023 18:33:22 -0000

=== debian/control ===
Source: ros-noetic-mrpt2
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ffmpeg, freeglut3-dev, libassimp-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libeigen3-dev, libfreenect-dev, libglfw3-dev, libjpeg-dev, libjsoncpp-dev, libopencv-dev, libopenni2-dev, libpcap0.8-dev, libsuitesparse-dev, libswscale-dev, libtinyxml2-dev, libudev-dev, libusb-1.0-0-dev, libwxgtk3.0-dev, libxrandr-dev, libxxf86vm-dev, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-pcl-conversions, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs, wx-common, zlib1g-dev
Homepage: https://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libeigen3-dev, libglfw3-dev, libopencv-dev, libsuitesparse-dev, libxrandr-dev, libxxf86vm-dev, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-pcl-conversions, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs
Description: Mobile Robot Programming Toolkit (MRPT) version 2.x

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt2//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-mrpt2//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mrpt2 2.10.0

=== debian/changelog ===
ros-noetic-mrpt2 (2.10.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 09 Jul 2023 15:44:15 -0000

=== debian/control ===
Source: ros-noetic-mrpt2
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ffmpeg, freeglut3-dev, libassimp-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libeigen3-dev, libfreenect-dev, libglfw3-dev, libjpeg-dev, libjsoncpp-dev, libopencv-dev, libopenni2-dev, libpcap0.8-dev, libsuitesparse-dev, libswscale-dev, libtinyxml2-dev, libudev-dev, libusb-1.0-0-dev, libwxgtk3.0-gtk3-dev, libxrandr-dev, libxxf86vm-dev, pybind11-dev, python3-pip, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-ros-environment, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs, wx-common, zlib1g-dev
Homepage: https://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libeigen3-dev, libglfw3-dev, libopencv-dev, libsuitesparse-dev, libxrandr-dev, libxxf86vm-dev, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs
Description: Mobile Robot Programming Toolkit (MRPT) version 2.x

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,30 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		-DBUILD_APP_DifOdometry-Camera=OFF \
+		-DBUILD_APP_DifOdometry-Datasets=OFF \
+		-DBUILD_APP_GridmapNavSimul=OFF \
+		-DBUILD_APP_ReactiveNav3D-Demo=OFF \
+		-DBUILD_APP_benchmarking-image-features=OFF \
+		-DBUILD_APP_carmen2rawlog=OFF \
+		-DBUILD_APP_carmen2simplemap=OFF \
+		-DBUILD_APP_features-matching=OFF \
+		-DBUILD_APP_graph-slam=OFF \
+		-DBUILD_APP_graphslam-engine=OFF \
+		-DBUILD_APP_grid-matching=OFF \
+		-DBUILD_APP_holonomic-navigator-demo=OFF \
+		-DBUILD_APP_icp-slam-live=OFF \
+		-DBUILD_APP_kf-slam=OFF \
+		-DBUILD_APP_kinect-3d-slam=OFF \
+		-DBUILD_APP_kinect-3d-view=OFF \
+		-DBUILD_APP_map-partition=OFF \
+		-DBUILD_APP_mrpt-performance=OFF \
+		-DBUILD_APP_ro-localization=OFF \
+		-DBUILD_APP_robotic-arm-kinematics=OFF \
+		-DBUILD_APP_simul-beacons=OFF \
+		-DBUILD_APP_simul-gridmap=OFF \
+		-DBUILD_APP_simul-landmarks=OFF \
+		-DBUILD_APP_track-video-features=OFF \
 		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
